<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- 
IGAC proyecto SNC
@author 		javier.aponte
@version 		1.0
@description	Pantalla que muestra el formulario para consultar las estadísticas catastrales
@cu 			CU-TV-PR-002
@param			managedBeanParam: 		Nombre del ManagedBean del que se obtendran los parametros


-->

<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:fn="http://java.sun.com/jsp/jstl/functions"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:p="http://primefaces.org/ui" 
        xmlns:misc="http://java.sun.com/jsf/composite/misc"
        id="estadisticasCatastralesForm">

    <h:inputText id="errortFocus" style="border:0px;height:0;" />

    <p:messages id="msgsEstadisticasCatastrales" showDetail="false" globalOnly="false" />

    <p:spacer width="0" height="13" />

    <h:panelGrid columns="2" width="100%">

        <h:outputLabel value="Descripción producto"
                       styleClass="outputLabelStyle"/>
        <h:outputText value="#{managedBeanParam.productoCatastralSeleccionado.producto.nombre}"
                      styleClass="outputTextStyle" id="SolicitudTipoV"/>

    </h:panelGrid>

    <p:spacer height="10" width="0" />

    <p:fieldset toggleable="true" toggleSpeed="500"
                id="datosDeProductosFS">
        <legend>
            <h:outputText value="Datos de productos"
                          styleClass="legendTitle" />
        </legend>

        <h:panelGrid columns="1" width="100%">
            <misc:seleccionDepartamentoYMunicipioCC valuesAreRequired="false"
                                                    vertical="false"/>
        </h:panelGrid>

        <p:spacer height="20" width="0"/>

        <h:panelGrid>
            <p:commandButton value="Aceptar"
                             action="#{managedBeanParam.asociarProductosCatastralesDetallesAProductos}"
                             update="caracteristicasAsociadasFS"
                             icon="ui-icon ui-icon-save"/>
        </h:panelGrid>

        <p:spacer height="20" width="0"/>	

    </p:fieldset>

    <p:spacer height="20" width="0"/>

    <p:fieldset toggleable="true" toggleSpeed="500"
                id="caracteristicasAsociadasFS">
        <legend>
            <h:outputText value="Lista de características asociados al producto"
                          styleClass="legendTitle" />
        </legend>

        <p:dataTable emptyMessage="No hay características asociados al producto"
                     value="#{managedBeanParam.productosCatastralesDetallesAsociadasAProductos}"
                     var="prediosAsociadoAProducto"
                     widgetVar="prediosAsociadosAProductosDTWV"
                     rowKey="#{prediosAsociadosAProductos.numeroPredial}"
                     selection="#{managedBeanParam.productoCatastralDetalleSeleccionado}"
                     selectionMode="single"
                     id="prediosAsociadosAProductosDT">

            <f:facet name="header">
                Lista de características asociados al producto
            </f:facet>

            <p:column>
                <f:facet name="header">
                    Opciones
                </f:facet>
                <p:commandButton
                    action="#{managedBeanParam.eliminarProductosCatastralesDetallesAsociadasAProductos}"
                    icon="ui-icon ui-icon-trash"
                    title="Eliminar" id="eliminarProductoCatastralAsociado"
                    onstart="statusDialog2.show();"
                    oncomplete="statusDialog2.hide();"
                    update=":consultarPorDatosPredioForm:prediosAsociadasFS"
                    process="@this">
                    <f:setPropertyActionListener value="#{prediosAsociadoAProducto}"
                                                 target="#{managedBeanParam.productoCatastralDetalleSeleccionado}" />
                </p:commandButton>
            </p:column>

            <p:column headerText="Departamento">
                <h:outputText value="#{prediosAsociadoAProducto.departamentoCodigo}" />
            </p:column>

            <p:column headerText="Municipio">
                <h:outputText value="#{prediosAsociadoAProducto.municipioCodigo}" />
            </p:column>

            <p:column headerText="Zona">
                <h:outputText value="#{prediosAsociadoAProducto.zonaUnidadOrganica}" />
            </p:column>

            <p:column headerText="No. plancha">
                <h:outputText value="#{prediosAsociadoAProducto.numeroPlancha}" />
            </p:column>

            <p:column headerText="Escala">
                <h:outputText value="#{prediosAsociadoAProducto.escala}" />
            </p:column>

            <p:column headerText="Tipo construcción">
                <h:outputText value="#{prediosAsociadoAProducto.tipoConstruccion}" />
            </p:column>

            <p:column headerText="Uso Construcción">
                <h:outputText value="#{prediosAsociadoAProducto.usoConstruccionId}" />
            </p:column>

            <p:column headerText="Zona geoeconómica">
                <h:outputText value="#{prediosAsociadoAProducto.zonaGeoeconomica}" />
            </p:column>

            <p:column headerText="Zona física">
                <h:outputText value="#{prediosAsociadoAProducto.zonaFisica}" />
            </p:column>

            <p:column headerText="Descripción depuración geográfica">
                <h:outputText value="#{prediosAsociadoAProducto.depuracionGeoDescripcion}" />
            </p:column>

            <p:column headerText="Observaciones">
                <h:outputText value="#{prediosAsociadoAProducto.observaciones}" />
            </p:column>

        </p:dataTable>

        <p:spacer height="20" width="0"/>

        <h:panelGrid columns="2">

            <h:outputLabel value="Total productos"
                           styleClass="outputLabelStyle" />

            <h:outputLabel value="#{fn:length(managedBeanParam.productosCatastralesDetallesAsociadasAProductos)}"/>

            <p:commandButton value="Registrar depuración geográfica"
                             update=":descripcionDepuracionGeograficaForm"
                             onstart="statusDialog2.show();"
                             oncomplete="statusDialog2.hide();descripcionDepuracionGeograficalWV.show();"
                             process="@this"/>
        </h:panelGrid>

    </p:fieldset>

    <p:spacer height="10" width="0" />

    <h:panelGrid columns="1">

        <p:commandButton value="Generar producto"
                         icon="ui-icon ui-icon-disk"
                         process="@this"
                         onstart="statusDialog2.show();"
                         update=":registrarDatosPSForm"
                         oncomplete="statusDialog2.hide();consultarPorDatosPredioWV.hide();"
                         action="#{managedBeanParam.generarProducto}"/>

    </h:panelGrid>

</h:form>

